%global         srcname     azure-mgmt-batchai

Name:           python-%{srcname}
Version:        7.0.0b1
Release:        2%{?dist}
Summary:        Microsoft Azure Batch AI Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Batch AI Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:7.0.0b1-2
- Update to 7.0.0b1

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-4
- Add epoch number to 2.0.0 downgrade

* Wed Jul 14 2021 Major Hayden <major@mhtx.net> - 2.0.0-3
- Remove unneccessary __init__.py files to avoid file conflicts.

* Wed Jul 07 2021 Major Hayden <major@mhtx.net> - 2.0.0-2
- Removed customized wheel builder from package to avoid -nspkg requirement.

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 2.0.0-1
- First package.
